Bug 1573833 - Can't move hosts to maint. (from virt perspective) because of Gluster
Summary: Can't move hosts to maint. (from virt perspective) because of Gluster
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core
Version: 4.2.3.2
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ovirt-4.3.7
: ---
Assignee: Sahina Bose
QA Contact: bipin
URL:
Whiteboard:
Depends On:
Blocks: 1758154
TreeView+ depends on / blocked
 
Reported: 2018-05-02 10:47 UTC by Yaniv Kaul
Modified: 2019-11-21 12:44 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1758154 (view as bug list)
Environment:
Last Closed: 2019-11-21 12:44:43 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.3+
godas: devel_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 97423 'None' 'MERGED' 'gluster: validate quorum only if gluster stopped' 2019-11-12 04:38:34 UTC
oVirt gerrit 103432 'None' 'MERGED' 'gluster: validate quorum only if gluster stopped' 2019-11-12 04:38:34 UTC

Description Yaniv Kaul 2018-05-02 10:47:56 UTC
Description of problem:
In a HC scenario, I'm trying to move to hosts to maint.
I've *unchecked*:
- Ignore Gluster Quorum and Self-Heal validations
- Stop Gluster service

(which is the default), yet it still fails with:
Error while executing action: Cannot switch the following Host(s) to Maintenance mode: lago-hc-basic-suite-4-2-host1,lago-hc-basic-suite-4-2-host2.
Gluster quorum will be lost for the following Volumes: vmstore,engine,data.


Version-Release number of selected component (if applicable):
ovirt-engine-4.2.4-0.0.master.20180430121340.git5351a29.el7.centos.noarch

Comment 1 Yaniv Kaul 2018-05-02 12:20:18 UTC
(In reply to Yaniv Kaul from comment #0)
> Description of problem:
> In a HC scenario, I'm trying to move to hosts to maint.
> I've *unchecked*:
> - Ignore Gluster Quorum and Self-Heal validations

If I don't check this, in HC, I cannot move hosts to maintenance. So why allow it just to fail?

I think this is the confusion here.

Comment 2 Sahina Bose 2018-05-04 07:34:40 UTC
You cannot move more than one host to maintenance if you want a working environment. In this case it looks like lago-hc-basic-suite-4-2-host1,lago-hc-basic-suite-4-2-host2 are being moved.
When a host is being moved to maintenance, we don't correlate with the value of "Stop Gluster service" - it is assumed that there will be an issue with host. This I think, is the confusion

Comment 3 Sahina Bose 2018-05-04 07:35:48 UTC
An option is to prompt user and ask whether to ignore checks as more than 1 host is moved with a warning - will that work?

Comment 4 Yaniv Kaul 2018-05-04 07:52:46 UTC
(In reply to Sahina Bose from comment #3)
> An option is to prompt user and ask whether to ignore checks as more than 1
> host is moved with a warning - will that work?

Anything that will not make the user click 'OK' then fail makes sense to me. There's no point in letting him fail if we know this is going to be the result.

Comment 5 Sandro Bonazzola 2019-01-28 09:34:34 UTC
This bug has not been marked as blocker for oVirt 4.3.0.
Since we are releasing it tomorrow, January 29th, this bug has been re-targeted to 4.3.1.

Comment 6 Yaniv Kaul 2019-01-28 11:14:48 UTC
What's the next step?

Comment 7 Gobinda Das 2019-01-29 08:27:58 UTC
Hi Yaniv,
 Will add validation and include it in 4.3.1

Comment 8 Sahina Bose 2019-01-30 10:23:26 UTC
(In reply to Yaniv Kaul from comment #6)
> What's the next step?

Addressed in 4.3.1

Comment 9 Gobinda Das 2019-02-27 11:18:20 UTC
Moving this to ovirt-4.3.2 as ovirt-4.3.1 already released.

Comment 10 Sandro Bonazzola 2019-03-22 11:51:58 UTC
Moving this to ovirt-4.3.3 as ovirt-4.3.2 has been already released.

Comment 11 Gobinda Das 2019-03-25 06:27:10 UTC
As ovirt-4.3.3 next build includes only blockers, so moving this to 4.3.4

Comment 15 bipin 2019-11-13 03:08:13 UTC
Moving the bug to verified state. 

Fixed version:  rhvh-4.3.7.0

Now, its possible to move the host's into maintenance without unchecking ( which is by default) - Ignore Gluster Quorum and Self-Heal validations without any error messages.

Comment 16 Sandro Bonazzola 2019-11-21 12:44:43 UTC
This bugzilla is included in oVirt 4.3.7 release, published on November 21st 2019.

Since the problem described in this bug report should be
resolved in oVirt 4.3.7 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.